All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
MaxEvery
Statistical Operations

Primitives for computing the maximal value of the pixel pair from two images. More...

## MaxEvery

The maximum is stored into the second image.

### Common parameters for nppiMaxEvery functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus | nppiMaxEvery_8u_C1IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_8u_C1IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16u_C1IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_16u_C1IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16s_C1IR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed image MaxEvery. More...
NppStatus | nppiMaxEvery_16s_C1IR (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_32f_C1IR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image MaxEvery. More...
NppStatus | nppiMaxEvery_32f_C1IR (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_8u_C3IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_8u_C3IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16u_C3IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_16u_C3IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16s_C3IR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed image MaxEvery. More...
NppStatus | nppiMaxEvery_16s_C3IR (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_32f_C3IR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image MaxEvery. More...
NppStatus | nppiMaxEvery_32f_C3IR (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_8u_C4IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_8u_C4IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16u_C4IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image MaxEvery. More...
NppStatus | nppiMaxEvery_16u_C4IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16s_C4IR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image MaxEvery. More...
NppStatus | nppiMaxEvery_16s_C4IR (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_32f_C4IR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image MaxEvery. More...
NppStatus | nppiMaxEvery_32f_C4IR (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_8u_AC4IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image MaxEvery ignoring alpha channel. More...
NppStatus | nppiMaxEvery_8u_AC4IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16u_AC4IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image MaxEvery ignoring alpha channel. More...
NppStatus | nppiMaxEvery_16u_AC4IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_16s_AC4IR_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image MaxEvery ignoring alpha channel. More...
NppStatus | nppiMaxEvery_16s_AC4IR (const Npp16s *pSrc, int nSrcStep, Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMaxEvery_32f_AC4IR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image MaxEvery ignoring alpha channel. More...
NppStatus | nppiMaxEvery_32f_AC4IR (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Primitives for computing the maximal value of the pixel pair from two images.

## Function Documentation

NppStatus nppiMaxEvery_16s_AC4IR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16s_AC4IR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image MaxEvery ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16s_C1IR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16s_C1IR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16s_C3IR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16s_C3IR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16s_C4IR | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16s_C4IR_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16u_AC4IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16u_AC4IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image MaxEvery ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16u_C1IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16u_C1IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16u_C3IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16u_C3IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_16u_C4IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_16u_C4IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_32f_AC4IR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_32f_AC4IR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image MaxEvery ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_32f_C1IR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_32f_C1IR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_32f_C3IR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_32f_C3IR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_32f_C4IR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_32f_C4IR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_8u_AC4IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_8u_AC4IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image MaxEvery ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_8u_C1IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_8u_C1IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_8u_C3IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_8u_C3IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

NppStatus nppiMaxEvery_8u_C4IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMaxEvery_8u_C4IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image MaxEvery.

For common parameter descriptions, see Common parameters for nppiMaxEvery functions.

Copyright © 2009-2019 NVIDIA Corporation